Commit 6f8f532d authored by Tzafrir Cohen's avatar Tzafrir Cohen

Force the SONAME of libtonezone to be 2.0

For backward compatibility reasons, the SONAME of libtonezone can't just
be 2 (autotools' standard). It should be 2.0.

This adds soname.patch.
parent fe918dcc
......@@ -2,3 +2,4 @@ zaptel_perl
echocan_oslec
init_unload_oslec
remove_dahdi_speed
soname.patch
diff --git a/configure.ac b/configure.ac
index 826a7ec..2afe476 100644
--- a/configure.ac
+++ b/configure.ac
@@ -392,5 +392,6 @@ AC_CONFIG_FILES([
xpp/perl_modules/Makefile
])
AC_OUTPUT
+sed -i -e '/^soname_spec=/s/major/&.\\$revision/' libtool
AC_MSG_NOTICE(*** dahdi-tools build successfully configured ***)
......@@ -57,6 +57,9 @@ else
$(MAKE) clean
endif
override_dh_auto_configure:
dh_auto_configure
override_dh_auto_install:
# also run the 'config' target, in addition to the 'install' target:
dh_auto_install -- config
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment